import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/goldenwater";

export function listReport(query) {
  return request({ url: '/pms/report/list', method: 'get', params: query })
}

export function getReport(id) {
  return request({ url: '/pms/report/' + parseStrEmpty(id), method: 'get' })
}

export function addReport(data) {
  return request({ url: '/pms/report', method: 'post', data: data })
}

export function updateReport(data) {
  return request({ url: '/pms/report', method: 'put', data: data })
}

export function delReport(id) {
  return request({ url: '/pms/report/' + id, method: 'delete' })
}
